org.aspectj.lang.annotation

## Annotation Type DeclareAnnotation

    @Retention(value=RUNTIME)
     @Target(value={TYPE,FIELD,METHOD,CONSTRUCTOR})
    public @interface DeclareAnnotation

Author:
  Alexandre Vasseur

### Required Element Summary

Required Elements
`java.lang.String` `value` pointcut (type pattern for type, or method/ctor/field signature pattern)

### Element Detail

#### value

    public abstract java.lang.String value

pointcut (type pattern for type, or method/ctor/field signature pattern)